/* $VER: ScanImage.rexx 1.1 for PPaint V6.x  by Jochen Grus (03.09.96) */

OPTIONS RESULTS
MYPORT = 'PPAINT'
IF ~SHOW('P', MYPORT) THEN DO
	IF EXISTS('PPaint:PPaint') THEN DO
		ADDRESS COMMAND 'Run >NIL: PPaint:PPaint'
		DO 30 WHILE ~SHOW('P',MYPORT)
			 ADDRESS COMMAND 'Wait >NIL: 1 SEC'
		END
	END
	ELSE DO
		SAY "Personal Paint could not be loaded."
		EXIT 10
	END
END

IF ~SHOW('P', MYPORT) THEN DO
	SAY 'Personal Paint Rexx port could not be opened.'
	EXIT 10
END

ADDRESS VALUE MYPORT
OPTIONS RESULTS
OPTIONS FAILAT 10000

Version 'REXX'
IF RESULT < 2 THEN DO
	errmess = 'This script requires a newer_version of Personal Paint.'
	SAY errmess
	RequestNotify 'PROMPT="'errmess'"'
	EXIT 10
END

options failat 25     /* ScanToDisk returns 0 or 20 */



ok=1
call SCAN()           /* Scans the image into a temporary file */
call IMPORTGRAPHIC()  /* Loads Image into PPaint V6.x */
call DELETEFILE()     /* Removes temporary image file */

EXIT



SCAN:
/* Scans the image into a temporary file using the program "ScanToDisk". */
  if not 1=open('path','ENV:ScanQuix/Path','READ') then do
    ok=0
    return
  end

  pragma('DIRECTORY',READLN('path'))
  address command 'ScanQuix3/ScanToDisk FILE=ram:ScanImage TRUECOLOR NOICONS NOGUI'
  if RC>=5 then do
    ok=0
    return
  end

return



IMPORTGRAPHIC:
/* Loads the image into PPaint V6.x */
  if ok=0 then
    return

  Loadimage "ram:ScanImage"

return



DELETEFILE:
/* removes temporary file */
  address command 'delete ram:ScanImage'


return

